Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mycarenet.commons.core.v4
Class ActorType

    java.lang.Object
      be.fgov.ehealth.mycarenet.commons.core.v4.SubjectType
          be.fgov.ehealth.mycarenet.commons.core.v4.ActorType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:52:18+02:00",
               comments="JAXB RI v2.3.6")
    public class ActorType

extends SubjectType
implements Serializable

Java class for ActorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActorType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}SubjectType">
           <attribute name="Role" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ActorType()`

Method Summary
`String` | `getRole()` Gets the value of the role property.
`void` | `setRole(String value)` Sets the value of the role property.

Methods inherited from class be.fgov.ehealth.mycarenet.commons.core.v4.SubjectType
`getAttributes, getIdentifiers, getSubType, getType, setSubType, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActorType

    public ActorType()

Method Detail

### getRole

    public String getRole()

  Gets the value of the role property.

  Returns:
    possible object is `String`

### setRole

    public void setRole(String value)

  Sets the value of the role property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.